package com.diaoyun.zion.chinafrica.vo;

import com.diaoyun.zion.chinafrica.entity.TbCfCouponEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * 用户优惠券
 *
 */
@ApiModel
public class UserCouponVo {
    /**
     * 可用
     */
    @ApiModelProperty("可用优惠券")
    private List<TbCfCouponEntity> validCouponList;
    /**
     * 已使用
     */
    @ApiModelProperty("已使用优惠券")
    private List<TbCfCouponEntity> usedCouponList;
    /**
     * 过期
     */
    @ApiModelProperty("过期优惠券")
    private List<TbCfCouponEntity> expiredCouponList;

    public List<TbCfCouponEntity> getValidCouponList() {
        return validCouponList;
    }

    public void setValidCouponList(List<TbCfCouponEntity> validCouponList) {
        this.validCouponList = validCouponList;
    }

    public List<TbCfCouponEntity> getUsedCouponList() {
        return usedCouponList;
    }

    public void setUsedCouponList(List<TbCfCouponEntity> usedCouponList) {
        this.usedCouponList = usedCouponList;
    }

    public List<TbCfCouponEntity> getExpiredCouponList() {
        return expiredCouponList;
    }

    public void setExpiredCouponList(List<TbCfCouponEntity> expiredCouponList) {this.expiredCouponList = expiredCouponList;
    }
}
